# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
# END SourceDeps(oneline)
%define oldname python-postman
%define fedora 19
%if ! (0%{?fedora} > 12 || 0%{?rhel} > 5)
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print (get_python_lib())")}
%endif

%global pkgname postman

Name:           python-module-postman
Version:        0.6.0
Release:        alt1_5
Summary:        Postman is a command line utility for working with Amazon SES
Group:          Networking/WWW

License:        MIT
URL:            http://pypi.python.org/pypi/%{pkgname}
Source0:        http://pypi.python.org/packages/source/p/%{pkgname}/%{pkgname}-%{version}.tar.gz
Patch0:         postman_fixdeps.patch
Patch1:         postman_logging.patch
Patch2:         postman_fixdeps2.patch

BuildArch:      noarch

BuildRequires:  python-devel
BuildRequires:  python-module-docutils
BuildRequires:  python-module-setuptools
BuildRequires:  python-module-boto

# python 2.7 includes argparse natively.
# everybody that's still stuck on 2.6 or below needs python-argparse.
%if 0%{?fedora} < 15 || 0%{?rhel} < 7
%endif
Source44: import.info

%description
Postman is a command line utility for working with
Amazon Simple Email Service (SES)

A tutorial for using postman is available here:
http://aws.amazon.com/articles/2405502737055650

%prep
%setup -q -n %{pkgname}-%{version}

# Remove the explicit argparse requirement for python 2.7+
%if 0%{?fedora} > 14 || 0%{?rhel} > 7
%patch0
%else
%patch2
%endif

%patch1

find -name '*.py' | xargs sed -i '1s|^#!python|#!%{__python}|'

%build
%{__python} setup.py build
rst2man.py README.rst %{pkgname}.5

%install
%{__python} setup.py install --skip-build --root=%{buildroot}

mkdir -p -m0755 %{buildroot}%{_mandir}/man5
install -p -m 0644 %{pkgname}.5 %{buildroot}%{_mandir}/man5/

%check
%{__python} setup.py test

%files
%doc README.rst AUTHORS LICENSE
%{_bindir}/postman
%{python_sitelibdir_noarch}/*
%{_mandir}/man5/*

%changelog
* Thu Feb 21 2013 Igor Vlasenko <viy@altlinux.ru> 0.6.0-alt1_5
- update to new release by fcimport

* Fri Jan 04 2013 Igor Vlasenko <viy@altlinux.ru> 0.6.0-alt1_4
- initial fc import

